import React from 'react';
import renderer from 'react-test-renderer';
import {SwiftByteLogo} from '../../../';

describe('Logo', () => {
    it('should render correctly with default props', () => {
        const component = renderer.create(<SwiftByteLogo type={'SwiftByteEat'} />);
        expect(component.toJSON()).toMatchSnapshot();
    });

    it('should render correctly with custom size', () => {
        const component = renderer.create(<SwiftByteLogo size={50} type={'SwiftByteServe'} />);
        expect(component.toJSON()).toMatchSnapshot();
    });

});